import React from 'react';

const FormInput = ({
  type,
  id,
  label,
  placeholder,
  className,
  value,
  onChange,
  required
}) => (
  <div className="form-group space-y-1">
    <label 
      htmlFor={id}
      className="block text-sm font-medium text-gray-700"
    >
      {label}
    </label>
    <input
      type={type}
      id={id}
      className={`w-full px-3 py-2 border border-gray-300 rounded-lg focus:outline-none focus:ring-2 focus:ring-blue-500 focus:border-transparent transition-colors ${className}`}
      placeholder={placeholder}
      value={value}
      onChange={onChange}
      required={required}
    />
  </div>
);

export default FormInput;